SEND-UUCP(8)

NAME
send-uucp, send-nntp, send-ihave - send Usenet articles to remote site

SYNOPSIS
{ send-nntp | send-uucp | send-ihave } [ -d ] sitename:hostname | sitename [ sitename:hostname | sitename .. ]

DESCRIPTION
The send-* utilities are scripts that process the batch files written by innd(8) to send Usenet articles to a remote NNTP or UUCP site.

The sites to be fed may be specified by giving sitename hostname pairs on the command line.

The sitename is the label the site has in the newsfeeds file, the hostname is the real hostname of the remote site, a FQDN (Fully Qualified Domain Name) in the case of an NNTP host, or the UUCP name in the case of a UUCP host. Normally, the sitename and the hostname are the same, and as such don't have to be specified as sitename:hostname pairs but just as a sitename.

send-uucp compresses batches of news and sends the to the remote site with uux.

send-nntp Starts an innxmit to send the articles to the remote site.

send-ihave encapsulates the articles in an ihave control message and uses inews to send the articles to a to.sitename pseudo-group. Using send-ihave is discouraged, nobody uses it anymore and even the author of this manpage is unsure as to how it actually works or used to work.

send-* expect that the batchfile for a site is named <pathoutgoing in inn.conf>/sitename. To prevent batchfile corruption, shlock(1) is used to ``lock'' these files.

OPTIONS

-d  The ``-d'' flag causes nntpsend to send output to stdout rather than the log file <pathlog in inn.conf>/<program-name>.log.

NOTES
You should probably not use send-nntp, but innfeed, or if that is not possible, nntpsend.

The usual flags in the newsfeed file to write a batch file suitable for processing by send-uucp are Tf,Wfb .

The usual flags for a batch file for send-nntp are Tf,Wfm

SEE ALSO
newsfeeds(5), nntpsend(8)